<?
require_once('include/global.php');
require_once('include/admin_lib.php');
require_once('sadmin_conf.inc.php');

mail_server_check_limit();		// 메일서버가 동작중인지 확인

// check
	if (!$_POST['da_name'] || !$_POST['sa_d_no'])
		msg('올바른	URL로 접근하여 주십시오');


	$_POST['da_name'] = strtolower($_POST['da_name']);		// 소문자만 허용

	// 메일 수신 도메인 존재여부
	$q = "SELECT d_name FROM ".$TB['DOMAIN']." WHERE d_no='". $_POST['sa_d_no'] . "'";
	$d_name = db_get_one($q);
	if (trim($d_name) == '')
		msg("메일 수신 도메인이 존재하지 않습니다.\\n\\n[도메인관리]에서 실제 존재하는 도메인을 입력하셔야 합니다.");

	// 중복여부 체크
	$da_cnt = db_get_one("
			SELECT
				COUNT(*)
			FROM
				" . $TB['DOMAIN'] . "
			WHERE
				d_name='" . $_POST['da_name'] . "'
			");
	if ($da_cnt > 0)
		msg("이미 등록된 도메인입니다.\\n\\n앨리어스 도메인을 추가하려면 도메인을 먼저 삭제해야 합니다.\\n\\n주의) 도메인 삭제시 해당 도메인의 모든 데이타가 초기화됩니다.");

	$da_cnt = db_get_one("
			SELECT
				COUNT(*)
			FROM
				" . $TB['DOMAIN_ALIAS'] . "
			WHERE
				da_name='" . $_POST['da_name'] . "'
			");
	if ($da_cnt > 0)
		msg("이미 등록된 앨리어스 도메인입니다.");


// data
	to_db_str(&$_POST['da_name'], 255);
	to_db_str(&$_POST['da_memo'], $G_SYS['DB_TEXT']);


	// 앨리어스 도메인 추가
		$q = "
			INSERT INTO
				" .	$TB['DOMAIN_ALIAS']	. "
				( da_no , d_no , da_name, da_mail_from_select, da_memo, da_regdate )
			VALUES
				( ".db_sqc_next($TB['DOMAIN_ALIAS']).", '" . $_POST['sa_d_no'] . "', '" . $_POST['da_name'] . "', '" . $_POST['da_mail_from_select'] . "', '" . $_POST['da_memo'] . "', '"	. date("Y-m-d H:i:s") .	"' )
			";
		db_query($q);

	// 웹메일용 처리.
		domain_alias_add($d_name, $_POST['da_name']);


// end
	//msg("추가되었습니다.", 0);
	if ($_GET['is_window_close'])
	{
		?>
			<script language="JavaScript">
			<!--
				window.close();
			//-->
			</script>
		<?
	} else if ($_POST['back_url'])
	{
		movepage($_POST['back_url']);
	} else
	{
		movepage('sdomain_alias_list.php?'.get_qs());
	}	// if()

require_once('include/global_end.php');
?>